summaryrefslogtreecommitdiffstats
path: root/www-apps
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2019-09-01 00:00:32 +0200
committerSuren A. Chilingaryan <csa@suren.me>2019-09-01 00:00:32 +0200
commitca9627e70852f6b2e835660df870fe3ab405882d (patch)
tree0a008b1d5b16fa0679a195ed7b5662c7891f591c /www-apps
downloaddarklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.gz
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.bz2
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.xz
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.zip
Initial import
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/loggerhead/Manifest4
-rw-r--r--www-apps/loggerhead/files/loggerhead.confd3
-rw-r--r--www-apps/loggerhead/files/loggerhead.init27
-rw-r--r--www-apps/loggerhead/loggerhead-1.18.1.ebuild36
-rw-r--r--www-apps/trac/Manifest6
-rw-r--r--www-apps/trac/files/postinst-en.txt41
-rw-r--r--www-apps/trac/files/postupgrade-en.txt19
-rw-r--r--www-apps/trac/files/tracd.confd13
-rw-r--r--www-apps/trac/files/tracd.initd26
-rw-r--r--www-apps/trac/trac-1.2.4.ebuild112
10 files changed, 287 insertions, 0 deletions
diff --git a/www-apps/loggerhead/Manifest b/www-apps/loggerhead/Manifest
new file mode 100644
index 0000000..f5a0796
--- /dev/null
+++ b/www-apps/loggerhead/Manifest
@@ -0,0 +1,4 @@
+AUX loggerhead.confd 70 BLAKE2B 9ad36fe68d6caabcdac1701fbaf5109a0b0a8f4b91110e55346642e3c399bfe6ac0b53046d12f0b8764becab19d878a00a3aaa3e9dfc7892bcf8361b23efbd20 SHA512 22a3d6558f7096174f8ab457176e49c3fbe53ea194e2e7f2ef21dcd025fbab2da9f28a0ee1ee1670acdbb44bbd34ff632b8d3df5d68de1259da90b14496a736d
+AUX loggerhead.init 556 BLAKE2B ed56b385df8be33f268dda92eae3c55d6259dda8c20a1bc44f7e330173b8062318e364507eba585104fcf24194176e1ed803f6a8a126aa78a30b22be485c7034 SHA512 a5f7307c58773201427c343f286d4e825e3f3815097f0d9840dfed1493b910930b57bd125c4c9d3cfba6f126d979eaac30b29460b7748801362272b3618e2b5a
+DIST loggerhead-1.18.1.tar.gz 695475 BLAKE2B d423de99558647363129adf7736a652e1f5f4796033f4bad90e9d28a426a2d29f8cf979f3c337ed49246fd94d2c58a66f2d261cb9e3730a2676a04551e170f0a SHA512 d265b3470bd744266ae8ee4c90a749b875b528f88924bae28f03417cbe460b82ea8649b00371b50dad679be386d56063f02a78b0f73466edb04aa75612df79e4
+EBUILD loggerhead-1.18.1.ebuild 836 BLAKE2B 1c7cafbd86358f00a284fae180509f80e22a5d92fdabfb633d3a538751fe09068b97ad670f76ba1dc7ab137acae9cb9eb8071eda9cbb27f1a606f20799da552d SHA512 dde59180184d10f047e54b36a1401f4fd62a4f3383c04f6a936da2085cc3281173b554ce9750f6d2a25e67820143ac85ba5b316f61737212b0cbe7c271e32e9a
diff --git a/www-apps/loggerhead/files/loggerhead.confd b/www-apps/loggerhead/files/loggerhead.confd
new file mode 100644
index 0000000..9665bf3
--- /dev/null
+++ b/www-apps/loggerhead/files/loggerhead.confd
@@ -0,0 +1,3 @@
+
+# Additional options for Loggerhead start
+LOGGERHEAD_OPTS="/var/bzr"
diff --git a/www-apps/loggerhead/files/loggerhead.init b/www-apps/loggerhead/files/loggerhead.init
new file mode 100644
index 0000000..2eceefd
--- /dev/null
+++ b/www-apps/loggerhead/files/loggerhead.init
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+PIDFILE=/var/run/loggerhead.pid
+LOGDIR=/var/log/loggerhead
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting loggerhead"
+ start-stop-daemon --start --quiet --background \
+ --make-pidfile --pidfile ${PIDFILE} \
+ --exec /usr/bin/serve-branches -- --log-folder=${LOGDIR} \
+ ${LOGGERHEAD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping loggerhead"
+ start-stop-daemon --stop --quiet \
+ --pidfile ${PIDFILE}
+ eend $?
+}
diff --git a/www-apps/loggerhead/loggerhead-1.18.1.ebuild b/www-apps/loggerhead/loggerhead-1.18.1.ebuild
new file mode 100644
index 0000000..33c34a3
--- /dev/null
+++ b/www-apps/loggerhead/loggerhead-1.18.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 versionator
+
+PV_BASE=$(get_version_component_range 1-2)
+
+DESCRIPTION="A web viewer for projects in Bazaar"
+HOMEPAGE="https://launchpad.net/loggerhead"
+SRC_URI="http://launchpad.net/${PN}/${PV_BASE}/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86 amd64"
+IUSE="apache2 search"
+
+DEPEND=">=dev-python/paste-1.6
+ apache2? ( >=dev-python/pastedeploy-1.3 )"
+RDEPEND="${DEPEND}
+ >=dev-vcs/bzr-1.13
+ dev-python/simpletal
+ dev-python/simplejson
+ search? ( dev-vcs/bzr-search )"
+
+S="${WORKDIR}"/${P}
+
+src_install() {
+ distutils_src_install
+ newinitd "${FILESDIR}"/loggerhead.init loggerhead
+ newconfd "${FILESDIR}"/loggerhead.confd loggerhead
+}
diff --git a/www-apps/trac/Manifest b/www-apps/trac/Manifest
new file mode 100644
index 0000000..befc224
--- /dev/null
+++ b/www-apps/trac/Manifest
@@ -0,0 +1,6 @@
+AUX postinst-en.txt 1331 BLAKE2B 45313107abc05238160eeda67db0aab4917d18ee0e4d7882cecf66ecd287fed4c9f3798b2c7588e2514f6406fb3949ebfddc73695e48c6bf53781784a06364f1 SHA512 6bde40a16545462ef0d8654ffc860e031f5978a253b0fe68df24b18a281f396fd560e4b39a6c53ecee52c9be941ca83dccd1aee9a98dccf570a9f5b0f0c6bbaf
+AUX postupgrade-en.txt 665 BLAKE2B a504090cabc4d8645c31d1aecc7419059b84b8ba9a7b42331f53fe1953d3e5bb44ed0327411acbc711eb31a06e4bc83b7577d6d7d054ee74bfbccfadb58685ea SHA512 bc4684dff491d6140d7d97a1de6cc2773d5f834054bc3d8c122c5d6777f543a08f93e4142c50dcbda862d75ba5c19ffd49ca37876e57df4ee19869099a346a4f
+AUX tracd.confd 359 BLAKE2B 5bf14f9828f3eb22c39a27dd20da219032cc3157d45b16a54a0a6530923c694f7a424c08c09458fdf9e422a3819a7e30619a1c82966ac5aafa2355528e666e3f SHA512 38a961fe59b690eb91e20143aaea6aa1becda8c2afa103599d14ff86c7aae88f06b57b342302de1f067dac5d99024b9cc72896a84349e09b3ff40c9a20f97bb1
+AUX tracd.initd 823 BLAKE2B 4325de1322cda7885539859c2b2ea3d27acaf636bde728c50fcc4c769acec308e6b56d3449109171ce9bdd2bdda9f9364f93c7069debd0a0ecb1009ce0bbf29b SHA512 88a2c92fc1f947d794e68b158db1786cd9c2891de5d3d0d5b738e1245f35998e17741176ecd2a9562d21058f480668cfa61628c7a7b4bccf62e1373728db5be6
+DIST Trac-1.2.4.tar.gz 5336976 BLAKE2B 32cb62c89e0f56de98a38bed7634d79f02cce32d3d6f9bd93e870f346c12f59d7aeb60edea3235c3216788b649208e17cc2e76f1408cc1cb3e6914a60353a04a SHA512 72f8e588c8dffb6b8dd77e1a1f2e9e165d5e7cc69b8c77507d2dba595d5292d348867cc7a9d13c55ce46e5c9c5b3b8db4f50d01ed1af4cb307c143cb28c39757
+EBUILD trac-1.2.4.ebuild 2543 BLAKE2B e3175974d6f020820dbbd696701a157a15f4f79c9f02c63ec287121a2ba78a6c0c4e56589da9940a4d01c04a37113a6bd68fa80a1838b216820037b12f5dfea3 SHA512 a81bbff75a6b89449968dd237e3d7ee5885bd595d045a0f5cf49e709c1413f1a0e1a69dd79a2ef4a862cf94c0b681b064b54d17b35992295b4ccbb5d3dad68f8
diff --git a/www-apps/trac/files/postinst-en.txt b/www-apps/trac/files/postinst-en.txt
new file mode 100644
index 0000000..2a4012b
--- /dev/null
+++ b/www-apps/trac/files/postinst-en.txt
@@ -0,0 +1,41 @@
+Install Instructions
+====================
+
+This is brief and generic information about Trac.
+
+See the releases notes at http://trac.edgewall.org/wiki/TracDev/ReleaseNotes
+for the Trac version you have installed to learn about software changes and
+possible caveats.
+
+Web Server
+----------
+
+Trac installation depends on the web server you are using.
+
+FastCGI users: see http://trac.edgewall.org/wiki/TracFastCgi
+
+CGI users: see http://trac.edgewall.org/wiki/TracCgi
+
+Apache 2 and mod_python users: you have to manually emerge
+www-apache/mod_python. See http://trac.edgewall.org/wiki/TracModPython
+
+You can also use Trac without having to install a web server. See
+http://trac.edgewall.org/wiki/TracStandalone to know more.
+
+Trac relies on the web server for users authentication. Please refer to the
+Trac wiki and to your web server documentation to set up authentication.
+
+Trac environments
+-----------------
+
+To complete the install, create your first Trac environment by running this
+command:
+
+ trac-admin /var/lib/trac/<project-name> initenv
+
+Don't forget to review the configuration file! It is located at
+/var/lib/trac/<project-name>/conf/trac.ini. Consult its reference at
+http://trac.edgewall.org/wiki/TracIni
+
+See http://trac.edgewall.org/wiki/TracEnvironment to know more about Trac
+environments and how to configure them.
diff --git a/www-apps/trac/files/postupgrade-en.txt b/www-apps/trac/files/postupgrade-en.txt
new file mode 100644
index 0000000..1f5c8ea
--- /dev/null
+++ b/www-apps/trac/files/postupgrade-en.txt
@@ -0,0 +1,19 @@
+Upgrade Instructions
+====================
+
+This is brief and generic information about Trac.
+
+See the releases notes at http://trac.edgewall.org/wiki/TracDev/ReleaseNotes
+for the Trac version you have installed to learn about software changes and
+possible caveats.
+
+If you are upgrading from a previous Trac version, please follow the
+instructions here:
+
+ http://trac.edgewall.org/wiki/TracUpgrade
+
+You will need to run trac-admin commands (upgrade, wiki upgrade...) for each
+Trac environment you have.
+
+You might also want to check for new configuration options by comparing trac.ini
+file with trac.ini.sample file in the conf/ directory in each Trac environment.
diff --git a/www-apps/trac/files/tracd.confd b/www-apps/trac/files/tracd.confd
new file mode 100644
index 0000000..2cb9d29
--- /dev/null
+++ b/www-apps/trac/files/tracd.confd
@@ -0,0 +1,13 @@
+# The commented variables in this file are the defaults that are used
+# in the init-script. You don't need to uncomment them except to
+# customize them to different values.
+
+# Port for tracd
+#TRACD_PORT="8000"
+
+# Options for tracd
+#TRACD_OPTS="--env-parent-dir /var/lib/trac/"
+
+# User and group as which to run tracd
+#TRACD_USER="tracd"
+#TRACD_GROUP="tracd"
diff --git a/www-apps/trac/files/tracd.initd b/www-apps/trac/files/tracd.initd
new file mode 100644
index 0000000..c5a5432
--- /dev/null
+++ b/www-apps/trac/files/tracd.initd
@@ -0,0 +1,26 @@
+#!/sbin/openrc-run
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting tracd"
+ # tracd fails to create pidfile if started as non-root user, thus we are asking
+ # s-s-d to do that. To have correct pid we avoid -d option of tracd and use
+ # --background option of s-s-d.
+ start-stop-daemon --start --user ${TRACD_USER:-tracd} --group ${TRACD_GROUP:-tracd} \
+ --pidfile /var/run/tracd.pid --make-pidfile --background \
+ --env PYTHON_EGG_CACHE="/var/lib/trac/egg-cache" \
+ --exec /usr/bin/tracd -- \
+ -p ${TRACD_PORT:-8000} ${TRACD_OPTS:---env-parent-dir /var/lib/trac/}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping tracd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/tracd.pid
+ eend $?
+}
diff --git a/www-apps/trac/trac-1.2.4.ebuild b/www-apps/trac/trac-1.2.4.ebuild
new file mode 100644
index 0000000..0889b3e
--- /dev/null
+++ b/www-apps/trac/trac-1.2.4.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE='sqlite?'
+
+DISTUTILS_SINGLE_IMPL=Yes
+
+inherit distutils-r1 eutils user webapp
+
+MY_PV=${PV/_p/.post}
+MY_P=Trac-${MY_PV}
+
+DESCRIPTION="Enhanced wiki and issue tracking system for software development projects"
+HOMEPAGE="http://trac.edgewall.com/ https://pypi.org/project/Trac/"
+SRC_URI="http://ftp.edgewall.com/pub/trac/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~ppc ~ppc64 x86 ~x86-fbsd"
+IUSE="cgi fastcgi i18n +highlight +restructuredtext mysql postgres +sqlite subversion"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/genshi[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ i18n? ( >=dev-python/Babel-0.9.5[${PYTHON_USEDEP}] )
+ highlight? (
+ || (
+ dev-python/pygments[${PYTHON_USEDEP}]
+ app-text/silvercity
+ app-text/pytextile
+ app-text/enscript
+ )
+ )
+ restructuredtext? ( dev-python/docutils[${PYTHON_USEDEP}] )
+ mysql? ( dev-python/mysql-python[${PYTHON_USEDEP}] )
+ postgres? ( >=dev-python/psycopg-2[${PYTHON_USEDEP}] )
+ sqlite? ( >=dev-db/sqlite-3.3.4:3 )
+ subversion? ( dev-vcs/subversion[python,${PYTHON_USEDEP}] )
+ "
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+# Tests depend on twill, a broken package
+RESTRICT="test"
+
+WEBAPP_MANUAL_SLOT="yes"
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+ webapp_pkg_setup
+
+ enewgroup tracd
+ enewuser tracd -1 -1 -1 tracd
+}
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+}
+
+src_test() {
+ distutils-r1_src_test
+}
+
+python_test() {
+ PYTHONPATH=. "${PYTHON}" trac/test.py || die "Tests fail with ${EPYTHON}"
+}
+
+python_test_all() {
+ if use i18n; then
+ make check
+ fi
+}
+
+# the default src_compile just calls setup.py build
+# currently, this switches i18n catalog compilation based on presence of Babel
+
+src_install() {
+ webapp_src_preinst
+ distutils-r1_src_install
+
+ # project environments might go in here
+ keepdir /var/lib/trac
+
+ # Use this as the egg-cache for tracd
+ dodir /var/lib/trac/egg-cache
+ keepdir /var/lib/trac/egg-cache
+ fowners tracd:tracd /var/lib/trac/egg-cache
+
+ # documentation
+ dodoc -r contrib
+
+ # tracd init script
+ newconfd "${FILESDIR}"/tracd.confd tracd
+ newinitd "${FILESDIR}"/tracd.initd tracd
+
+ for lang in en; do
+ webapp_postinst_txt ${lang} "${FILESDIR}"/postinst-${lang}.txt
+ webapp_postupgrade_txt ${lang} "${FILESDIR}"/postupgrade-${lang}.txt
+ done
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ webapp_pkg_postinst
+}